System.Web 2.0.0.0 System.Web.UI.TemplateParser

The class provides parser functionality for the and classes. Because the class is abstract, an instance of this class is not created directly.

Implements ASP.NET template parsing for template files.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Type To be added. To be added. To be added. 2.0.0.0
- Method
  2.0.0.0
  System.Type ``

  If a object is defined and its property is false, the method raises an exception.

  Additionally, if the object that is referenced by the virtual path is marked as a no-compile control, an exception will be thrown. To force a to be compiled, set the compilation mode attribute in its @ Control directive to the field. To set the compilation mode for pages and controls across an application, set the compilationMode attribute of the pages Element (ASP.NET Settings Schema) in the Web.config file.

  Compiles and returns the type of the object that is specified by the virtual path.

  The type of the user control.

  The virtual path of the .